Bug 102703 - portmap links to libwrap in /usr
Summary: portmap links to libwrap in /usr
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: portmap   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-20 00:59 UTC by Paul Jakma
Modified: 2015-01-08 00:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 01:16:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Jakma 2003-08-20 00:59:33 UTC
Description of problem:

Portmap links to /usr/lib/libwrap.so, however, if the machine mounts /usr over
NFS then this creates a problem.

Version-Release number of selected component (if applicable):

All packages.

How reproducible:

repeatable

Steps to Reproduce:
1. ldd /sbin/portmap
2.
3.

Comment 1 Paul Jakma 2003-08-20 01:00:27 UTC
NB: see bug #102702 filed against tcp_wrappers. I think resolution should be to
install libwrap to /lib.

Comment 2 Steve Dickson 2004-08-12 18:24:32 UTC
portmap is changed to statically link to -lwrap

Comment 3 Paul Jakma 2005-01-12 01:16:32 UTC
This is long fixed. Thanks!


Note You need to log in before you can comment on or make changes to this bug.